org.apache.fop.render.svg

## Class SVGUtil

- java.lang.Object
- - org.apache.fop.render.svg.SVGUtil

-     public final class SVGUtil
      extends java.lang.Object

  This class provides utility methods for generating SVG.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatAffineTransformMptToPt(java.awt.geom.AffineTransform transform)` Formats a transformation matrix in millipoints with values as points.
    `static java.lang.String` | `formatAffineTransformsMptToPt(java.awt.geom.AffineTransform[] transforms)` Formats an array of transformation matrices in millipoints with values as points.
    `static java.lang.String` | `formatMptArrayToPt(int[] lengths)` Formats an array of lengths in millipoints as point values.
    `static java.lang.String` | `formatMptToPt(int mpt)` Formats a length in millipoints as a point value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### formatMptToPt

          public static java.lang.String formatMptToPt(int mpt)

      Formats a length in millipoints as a point value.
      Parameters:
        `mpt` - the length in millipoints
      Returns:
        the formatted value in points

    - #### formatMptArrayToPt

          public static java.lang.String formatMptArrayToPt(int[] lengths)

      Formats an array of lengths in millipoints as point values.
      Parameters:
        `lengths` - the lengths in millipoints
      Returns:
        the formatted array in points

    - #### formatAffineTransformMptToPt

          public static java.lang.String formatAffineTransformMptToPt(java.awt.geom.AffineTransform transform)

      Formats a transformation matrix in millipoints with values as points.
      Parameters:
        `transform` - the transformation matrix in millipoints
      Returns:
        the formatted matrix in points

    - #### formatAffineTransformsMptToPt

          public static java.lang.String formatAffineTransformsMptToPt(java.awt.geom.AffineTransform[] transforms)

      Formats an array of transformation matrices in millipoints with values as points.
      Parameters:
        `transforms` - the transformation matrices in millipoints
      Returns:
        the formatted matrices in points

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.